Activities
Get activity series
Path Parameters
address*string
Stellar account address
Query Parameters
interval?|
Wall-clock bucket width. Switches this endpoint into time-bucketed
mode; requires exactly one of interval/ledger_bucket.
from?|
ISO 8601 start timestamp, inclusive. Only meaningful with interval.
to?|
ISO 8601 end timestamp, inclusive. Only meaningful with interval.
ledger_bucket?|
Ledger bucket size (>= 1). Switches this endpoint into ledger-bucketed
mode over blend_activities.ledger. Requires from_ledger and
to_ledger. Mutually exclusive with interval/from/to.
Format
int64Range
0 <= valuefrom_ledger?|
Start ledger for the ledger-bucketed read, inclusive. Requires ledger_bucket.
Format
int64Range
0 <= valueto_ledger?|
End ledger for the ledger-bucketed read, inclusive. Requires ledger_bucket.
Format
int64Range
0 <= valueResponse Body
application/json
application/json
application/json
curl -X GET "https://example.com/v1/users/string/activities/series"{ "data": { "address": "string", "points": [ { "activity_type": "deposit", "events": 0, "ledger": 0, "timestamp": "2019-08-24T14:15:22Z", "usd_volume": "string" } ] }, "enrichment": { "assets": { "property1": { "decimals": 0, "price_source": null, "price_usd": "string", "symbol": "string", "tags": [ "string" ] }, "property2": { "decimals": 0, "price_source": null, "price_usd": "string", "symbol": "string", "tags": [ "string" ] } }, "contracts": { "property1": { "name": "string", "position_types": [ "collateral" ], "protocol": "string", "status": "active", "version": "string" }, "property2": { "name": "string", "position_types": [ "collateral" ], "protocol": "string", "status": "active", "version": "string" } } }, "meta": { "attribution_confidence": 0.1, "data_staleness_seconds": 0, "last_indexed_ledger": 0, "oracle_staleness_seconds": 0, "partial_result": true, "response_time_ms": 0, "sources": [ "soroban_rpc" ] }}